summaryrefslogtreecommitdiff
path: root/dev-python/html5lib
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-28 19:41:01 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-28 19:41:01 +0000
commitae93b32c928808b6976440052ec33868e6f55f88 (patch)
tree44822767c41683ac6858c0f3a44157f2f1ced4ef /dev-python/html5lib
parentb21cc401f01a6b9b7385726d0c0095e92192025c (diff)
downloadbaldeagleos-repo-ae93b32c928808b6976440052ec33868e6f55f88.tar.gz
baldeagleos-repo-ae93b32c928808b6976440052ec33868e6f55f88.tar.xz
baldeagleos-repo-ae93b32c928808b6976440052ec33868e6f55f88.zip
Adding metadata
Diffstat (limited to 'dev-python/html5lib')
-rw-r--r--dev-python/html5lib/Manifest2
-rw-r--r--dev-python/html5lib/html5lib-1.2_pre20240221.ebuild52
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/html5lib/Manifest b/dev-python/html5lib/Manifest
index 24a9ed5ed3c1..7fcd259d6576 100644
--- a/dev-python/html5lib/Manifest
+++ b/dev-python/html5lib/Manifest
@@ -1 +1,3 @@
DIST html5lib-1.1.tar.gz 272215 BLAKE2B 11a4fc3fb84bf8bab4af5da1de30b0892a9eb454505716b3db391187053c9aac159b1c82ae787896592b8fc850363bba9313b9d7fc617150771c3bfa1aeadefb SHA512 af7c29591007fded99be6c38e3d0ae5a4ac32d71d26046a615918ae732cb1c1ecbf754f47ceca1a53726c3843f3ecea7af87a7362281b45ff3af495815818626
+DIST html5lib-python-fd4f032bc090d44fb11a84b352dad7cbee0a4745.gh.tar.gz 259834 BLAKE2B cf55f9fed5d7fea54966e8add3a4d1db1cbd85f5a771e38f359494b53a9b45c0d5031f561d1e57b02f8b6061bca102a2fea4997da5c05841cf30a81adbeb8742 SHA512 3965f2c5b55a805d6d6b86866315a6f776d5237ac189a70d3d33e713c744b30c471424365e400af3f3bd23348070e598f138629f5d35568954aeb9c067e84860
+DIST html5lib-tests-9b4a29c943b3c905e46b26569bae16de8b373516.gh.tar.gz 141487 BLAKE2B 4a2c0769f9e76c5e093af130427b7cf5407a11bd80670ca00013cb15a8da0f3c58cb2ea5ff526d299d9ddfbdab4a5ae9bcb6d388d4c709a573aba9d031e8b81f SHA512 8be9d913a48a498717f3931eafe64f53e5810c01451bbbbbdf80cef51e3274a3c8af523388e55c72762842b416ec5853213102998673c030229029bcfc954fce
diff --git a/dev-python/html5lib/html5lib-1.2_pre20240221.ebuild b/dev-python/html5lib/html5lib-1.2_pre20240221.ebuild
new file mode 100644
index 000000000000..5bc0bebafcd2
--- /dev/null
+++ b/dev-python/html5lib/html5lib-1.2_pre20240221.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1
+
+EGIT_COMMIT="fd4f032bc090d44fb11a84b352dad7cbee0a4745"
+# html5lib/tests/testdata
+TEST_COMMIT="9b4a29c943b3c905e46b26569bae16de8b373516"
+MY_P=html5lib-python-${EGIT_COMMIT}
+TEST_P=html5lib-tests-${TEST_COMMIT}
+
+DESCRIPTION="HTML parser based on the HTML5 specification"
+HOMEPAGE="
+ https://github.com/html5lib/html5lib-python/
+ https://html5lib.readthedocs.io/
+ https://pypi.org/project/html5lib/
+"
+SRC_URI="
+ https://github.com/html5lib/html5lib-python/archive/${EGIT_COMMIT}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+ test? (
+ https://github.com/html5lib/html5lib-tests/archive/${TEST_COMMIT}.tar.gz
+ -> ${TEST_P}.gh.tar.gz
+ )
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/six-1.9[${PYTHON_USEDEP}]
+ >=dev-python/webencodings-0.5.1[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=( pytest-expect )
+distutils_enable_tests pytest
+
+src_prepare() {
+ if use test; then
+ mv "${WORKDIR}/${TEST_P}"/* html5lib/tests/testdata || die
+ fi
+
+ distutils-r1_src_prepare
+}